Bug 246847 - Review the udev rules
Summary: Review the udev rules
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: linuxwacom   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Aristeu Rozanski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 12:02 UTC by Harald Hoyer
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 19:16:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 12:02:05 UTC
udev has changed the rule syntax.
See /usr/share/doc/udev-*/RELEASE-NOTES and man udev(7)

Please review your udev rules and change:
BUS -> SUBSYSTEMS, ID -> KERNELS, SYSFS -> ATTRS, DRIVER -> DRIVERS

Thanks

Comment 1 Aristeu Rozanski 2007-07-23 17:58:54 UTC
Revised, should be ok on latest package in rawhide


Comment 2 A. Lok 2007-07-24 10:50:42 UTC
Sorry to say, but the latest version in rawhide (linuxwacom-0.7.6.4-3.fc8)
doesn't work for me.

The /dev/input/wacom symlink isn't created, nor the device-specific symlink in
the wacom-tablets directory.

I don't really know anything about udev-rules, but if I remove the
KERNEL=="event*" from the lines like below, it does work.

SUBSYSTEM=="usb", KERNEL=="event*", ATTR{idVendor}=="056a",
SYMLINK+="input/wacom"

Does that parameter matter?

Comment 3 Fedora Update System 2007-07-25 05:08:21 UTC
linuxwacom-0.7.6.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 A. Lok 2007-07-25 14:46:05 UTC
Just tried "linuxwacom-0.7.6.4-2.fc7" on my laptop (F7 i386). The new udev-rule
now creates an 
"/dev/input/wacom" symlink
"/dev/input/wacom-tablets" directory with the folowing symlinks:
"/dev/input/wacom-tables/graphire2-4x5"
"/dev/input/wacom-tables/graphire2-4x50-1-1"

So the good news is that the udev-rules seem to work fine.

The bad news is that the wacom-driver for X doesn't load anymore... But I'll put
that in another bug-report ( #219060 )

Comment 5 Aristeu Rozanski 2007-07-25 14:48:10 UTC
Thanks, don't forget to post the full log output and your xorg.conf configuration.



Note You need to log in before you can comment on or make changes to this bug.